2008-05-06  Thiago Jung Bauermann  <bauerman@br.ibm.com>

	* funit-regs.S: Use LOAD_REGISTER_IMMED instead of LOAD_IMMED_WORD.

2008-05-02  Rick Moseley  <rmoseley@redhat.com>

	* fparser.java: Remove.
	* fparser.xml-in: Remove.
	* test_main_looper.c: Remove.

2008-04-30  Andrew Cagney  <cagney@redhat.com>

	* funit-asm.S: Update; use LOAD_REGISTER et.al.; initialize REG0
	from memory.
	* funit-watchpoint.S: Ditto.
	* funit-stepping-asm.S: Ditto.
	* funit-symbols.S: Ditto.
	* funit-rt-asmstepper.S: Ditto.
	* funit-raise.S: Ditto.
	* funit-location.S: Ditto.
	* funit-instructions.S: Ditto.
	* funit-frameless.S: Ditto.
	* funit-elf-symbols.S: Ditto.
	* funit-iftester.S: Ditto.

2008-04-30  Stan Cox  <scox@redhat.com>
	
	* funit-type-class.cxx (class_nested_class): New.
	(class_ref_method): New.

2008-04-25  Sami Wagiaalla  <swagiaal@toner.yyz.redhat.com>

	* funit-scopes-multi-file-a.c: New file.
	* funit-scopes-multi-file-b.c: New file.

2008-04-17  Mark Wielaard  <mwielaard@redhat.com>

	* funit-rt-sigraise.c (handler): Make sure entry marker is really on
	first source line.

2008-04-15  Phil Muldoon  <pmuldoon@redhat.com>

	* funit-watchpoint.S: Don't add read_only to
	source.

2008-04-14  Phil Muldoon  <pmuldoon@redhat.com>

	* funit-watchpoint.S: Add new read_only WORD
	symbol. Read it.

2008-04-08  Andrew Cagney  <cagney@redhat.com>

	* funit-threads.xml-in: Add version information.
	* fparser.xml-in: Ditto.
	* funit-exec.xml-in: Ditto.
	* funit-exit.xml-in: Ditto.
	* funit-slave.xml-in: Ditto.

2008-04-07  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-elf-symbols.S: New test file.

2008-04-07  Mark Wielaard  <mwielaard@redhat.com>

	* funit-loop-signal.c: New test.

2008-04-04  Andrew Cagney  <cagney@redhat.com>

	* funit-asm.S: Update to match frysk-asm.h's STORE_WORD.
	* funit-watchpoint.S: Ditto.
	* funit-symbols.S: Ditto.
	* funit-location.S: Ditto.
	* funit-raise.S (bad_addr_segv_label): Ditto.

	* fparser.xml-in: Rename fparser.xml.
	* funit-exec.xml-in: Rename funit-exec.xml.
	* funit-exit.xml-in: Rename funit-exit.xml.
	* funit-slave.xml-in: Rename funit-slave.xml.
	* funit-threads.xml-in: Rename funit-threads.xml.

2008-04-04  Mark Wielaard  <mwielaard@redhat.com>

	* funit-exit.xml: Put refpurpose tag on multiple lines.
	* fparser.xml: Likewise.

2008-04-03  Mark Wielaard  <mwielaard@redhat.com>

	* funit-procmask.xml: Put refpurpose on one line by itself.
	* funit-exit.xml: Likewise.

2008-04-01  Phil Muldoon  <pmuldoon@redhat.com>

	* funit-watchpoint.S: New.
	Comment.

2008-03-18  Stan Cox  <scox@redhat.com>

	* funit-quicksort.c (main): Make sortlist extern.

2008-03-14  Andrew Cagney  <cagney@redhat.com>

	* fparser.xml, fparser.java: Move to here from frysk.bindir.
	* funit-threads.xml: Cite frysk(7); update url.
	* funit-slave.xml: Ditto.
	* funit-exit.xml: Ditto.
	* funit-exec.xml: Ditto.

2008-03-11  Andrew Cagney  <cagney@redhat.com>

	* funit-memory.c: Delete.

2008-03-10  Mark Wielaard  <mwielaard@redhat.com>

	* funit-libfunccall.c: New test program for TestLibFunctionStepFrame.

2008-02-29  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-steps.c: new test program.

2008-02-29  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-3forks.c: The last fork sigfaults.

2008-02-28  Sami Wagiaalla  <swagiaal@lredhat.com>

	* funit-3forks.c: New test program.

2008-02-19  Stan Cox  <scox@redhat.com>

	* funit-type-class.cxx (class_accessibility): New.

2008-02-08  Stan Cox  <scox@redhat.com>

	* funit-quicksort.c (main): Add bubblesort for cross frame/file testing.
	* funit-bubblesort.c: New.
	
2007-08-27  Stan Cox  <scox@redhat.com>

	* funit-type-class.cxx: Renamed from funit-class.cxx.
	Change all references.

2008-01-28  Stan Cox  <scox@redhat.com>

	* gen-type-funit-tests.py (main): Add ptr_void_type_var.

2008-01-23  Rick Moseley  <rmoseley@redhat.com>

	* funit-parameters.c: New for testing Start/RunCommand.java.

2008-01-18  Mark Wielaard  <mwielaard@redhat.com>
	
	* funit-class-static.cxx: Add copyright boilerplate.
	* funit-class.cxx: Likewise.
	* funit-complex-class.cxx: Likewise.
	* funit-complex-struct.cxx: Likewise.
	* funit-cpp-scopes-class-static.cxx: Likewise.
	* funit-cpp-scopes-class.cxx: Likewise.
	* funit-cpp-scopes-namespace.cxx: Likewise.
	* funit-inherited-struct.cxx: Likewise.
	* funit-simple-class.cxx: Likewise.
	* funit-simple-struct.cxx: Likewise.

2008-01-17  Andrew Cagney  <cagney@redhat.com>

	* funit-hups.c: New file.

2008-01-17  Stan Cox  <scox@redhat.com>

	* gen-type-funit-tests.py: Add copyright notice.

2007-01-14  Mike Cvet  <mcvet@redhat.com>

	* funit-libcall.c: Added.

2007-01-04  Nurdin Premji  <npremji@redhat.com>
	* funit-complex-class.cxx: New
	* funit-complex-struct.cxx: New
	* funit-inherited-struct.cxx: New
	* funit-simple-class.cxx: New
	* funit-simple-struct.cxx: New

2008-01-02  Tim Moore  <timoore@redhat.com>
        * funit-structmember.c: New test with structure member and function
        that share a name.

2007-12-21  Petr Machata  <pmachata@redhat.com>

	* funit-calls.c (recursive): New function.
	(main): Call recursive.  For ltrace recursive test.

2007-12-12  Petr Machata  <pmachata@redhat.com>

	* funit-calls.c (fun1, alias1, alias2): New functions.
	(main): Call fun1.  For ltrace alias testing.

2007-12-11  Rick Moseley  <rmoseley@redhat.com>

	* funit-threads-looper.c: New for "kill" command testing.

2007-12-11  Stan Cox  <scox@redhat.com>

	* funit-class.cxx: Tweak whitespace.
	* gen-type-funit-tests.py: Tweak whitespace.

2007-12-11 Teresa Thomas <tthomas@redhat.com>

	* funit-addresses.c: Add long double types.
	
2007-12-10  Petr Machata  <pmachata@redhat.com>

	* funit-vfork.c: New file.

2007-12-04  Jose Flavio Aguilar Paulino <joseflavio@gmail.com>

	* funit-regs.S: Add floating support for PowerPC64.

	* funit-raise.S: Adding division by zero instructions for
	PowerPC32. Put data section for usage text.

	* funit-location.S: Fixed the test for PowerPC, it is using
	the new LOAD_IMMED_WORD. Add a 8byte word for PowerPC64.

	* funit-frameless.S: Same as above.

	* funit-symbols.S: Same as above. Add data section for usage text.

2007-12-04  Jose Flavio Aguilar Paulino <joseflavio@gmail.com>

	* funit-regs.S: add support to PowerPC32/64 to this test.
 
2007-12-03  Stan Cox  <scox@redhat.com>

	* gen-type-expect-tests.py (main): Emit one test per variable.

2007-12-03  Andrew Cagney  <cagney@redhat.com>

	* funit-regs.S (fxregs) [__i386__ || __x86_64__]: Provide initial
	values for FSW, FTW, FOP, RIP, RDP, CS, DS, EIP, and DP.
	
2007-12-03  Mark Wielaard  <mwielaard@redhat.com>

	* funit-stepping-asm.S: Add fifth function and _stepOverPrologue_
	marker.

2007-12-03  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* funit-class-static.cxx: Added a def of static_i.

2007-12-03  Andrew Cagney  <cagney@redhat.com>

	* funit-regs.S (main) [__x86_64__]: Enable fxrstor instruction.

	* funit-regs.S (fxregs): Align to 16-byte boundary.

2007-12-02  Stan Cox  <scox@redhat.com>

	* funit-array.c: Delete.
	* funit-enum.c: Delete.
	* funit-scalar.c: Delete.
	* funit-struct.c: Delete.

2007-11-29  Stan Cox  <scox@redhat.com>

	* funit-class.cxx: Add comments for gen-type-expect-test.py.

2007-11-29  Andrew Cagney  <cagney@redhat.com>

	* funit-regs.S (x87fxregs): Data section.
	(main) [__i386__]: Restore fxregs.

	* funit-regs.S (main): Jump to the known symbol "crash".

2007-11-28 Teresa Thomas <tthomas@redhat.com>

	* funit-addresses.c (dynamicOneD): New
	(dynamicTwoD): New.
	
2007-11-26 Teresa Thomas <tthomas@redhat.com>

	* funit-addresses.c (ptrStrings): New.
	
2007-11-26  Stan Cox  <scox@redhat.com>

	* gen-type-funit-tests.py: Cleanup imports.

2007-11-22  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* funit-long-stack.c: New.

2007-11-22  Andrew Cagney  <cagney@redhat.com>

	* gen-type-funit-tests.py: Do not import "subprocess".

2007-11-19  Stan Cox  <scox@redhat.com>

	* gen-type-funit-tests.py (main): Allow for improved formatting of
	array of struct and ptr to struct.

2007-11-15  Stan Cox  <scox@redhat.com>

	* funit-quicksort.c: New.

2007-11-15  Petr Machata  <pmachata@redhat.com>

	* funit-fib-fork.c: When a child dies on signal, kills itself with
	that same signal.
	(breakpoint_me) New dummy function.

2007-11-13 Teresa Thomas <tthomas@redhat.com>

	* funit-addresses.c (ptr): New.

2007-11-12  Andrew Cagney  <cagney@redhat.com>

	* funit-stack-inlined.c: Rename funit-inlined.c
	* funit-stack-outlined.c: New; Non-inline funit-stack-inlined.c.
	
2007-11-12  Stan Cox  <scox@redhat.com>

	* gen-type-funit-tests.py (c.add_decl): Make variables external.

2007-11-11  Stan Cox  <scox@redhat.com>

	* gen-type-funit-tests.py (c.add): Escape \n for value.
	(main): Use newline instead of \n for expected results.

2007-11-09  Stan Cox  <scox@redhat.com>

	* gen-type-funit-tests.py (c.add): Filter quotes, new lines, member "."
	(main): Handle char specially.  Match result formatting to fhpd
	expectations. 

2007-11-05  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-cpp-scopes-class-static.cxx: Removed print statement.

2007-11-05  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-cpp-scopes-class-static.cxx: New file.

2007-11-02  Petr Machata  <pmachata@redhat.com>

	* funit-calls.c: New.

2007-11-01 Teresa Thomas <tthomas@redhat.com>

	* funit-addresses.c (float_): New.
	(double_): New.
	
2007-10-30  Andrew Cagney  <cagney@redhat.com>

	* funit-hello.c: New file.

	* funit-type-entry.c-sh: Add main() marker for Makefile.gen.sh.
	
	* funit-type-entry.c-sh: Rename funit-type-entry.sh.

2007-10-29  Stan Cox  <scox@redhat.com>

	* funit-type-entry.sh: New file.
	* gen-type-funit-tests.py: New file.

2007-10-26 Teresa Thomas <tthomas@redhat.com>

	* funit-addresses.c (num): Delete.
	(oneD): New.
	(twoD): New. 
	
2007-10-17 Kris Van Hees <kris.van.hees@oracle.com>

	* funit-addresses.c: Add include of stdlib.h - required for malloc().

2007-10-16 Teresa Thomas <tthomas@redhat.com>

	* funit-addresses.c: Add loop option; add more variable
	types.
	
2007-10-15  Andrew Cagney  <cagney@redhat.com>

	* funit-regs.S (crash) [__i386__]: Set %eip by crashing at a known
	address.

2007-10-14  Andrew Cagney  <cagney@redhat.com>

	* funit-registers.S: Delete.

2007-10-10 Teresa Thomas <tthomas@redhat.com>

	* hpd-c.c (static_int_ptr): New.
	
2007-10-05  Andrew Cagney  <cagney@redhat.com>

	* funit-regs.S [__x86_64__]: Initialize registers.

	* funit-addresses.c (global_char): Make type "char".
	(static_int_address, volatile_int_address)
	(global_char_address): Moved from main(); changed to pointers.
	(main): Update..

2007-10-03  Andrew Cagney  <cagney@redhat.com>

	* funit-asm.S: New file.

2007-10-03 Teresa Thomas <tthomas@redhat.com>

	* funit-addresses.c: New file.

2007-10-02  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* funit-cpp-scopes-class.cxx: New file.

2007-09-26  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* funit-cpp-scopes-namespace.cpp: Renamed this...
	* funit-cpp-scopes-namespace.cxx: ...to this.

2007-09-18  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* funit-c-scopes-enum.c: New file.

2007-08-28 Teresa Thomas <tthomas@redhat.com>

	* funit-location.S: Value in REG1 changed.
	
2007-09-13  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* funit-c-scopes-shadowing.c: New file.

2007-09-12  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* funit-c-scopes.c: New file.

2007-09-12  Petr Machata  <pmachata@redhat.com>

	* funit-empty.c: New file.

2007-09-06  Stan Cox  <scox@redhat.com>

	* funit-class.cxx (crash): New.  Use it instead of looping.
	* funit-scalar.c (crash): Likewise.
	* funit-enum.c (crash): Likewise.
	* funit-array.c (crash): Likewise.
	* funit-struct.c (crash): Likewise.

2007-08-29  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* funit-empty-functions.c : New file.

2007-08-28 Teresa Thomas <tthomas@redhat.com>

	* funit-location.S: New file.

2007-08-27  Stan Cox  <scox@redhat.com>

	* funit-scalar.c: New file.
	* funit-array.c: New file.
	* funit-enum.c: New file.
	* funit-struct.c: New file.
	* funit-class.cxx: New file.

2007-08-15  Mark Wielaard  <mwielaard@redhat.com>

	* funit-raise.S: New test.

2007-08-10  Andrew Cagney  <cagney@redhat.com>

	* funit-exec.c (main): Add -b -- brand arg0 with PID:TID --
	option.  Add -h -- help -- option.  If no exec program, re-exec
	self.
	(exec_brand_arg0): Define.
	(exec_handler, usage): Update.
	* funit-exec.xml: Update.

2007-08-09  Andrew Cagney  <cagney@redhat.com>

	* funit-exit.xml: Remove all but funit and frysk from SEE ALSO.
	* funit-threads.xml: Ditto; run funit-threads in EXAMPLE.
	* funit-child.xml: Delete.

	* funit-legacy.c: New; copy of funit-child.

	* funit-slave.c (exec_args): Delete.
	(server): Pass -m to execed process.
	(usage): Note that -e is internal-use-only
	
	* funit-slave.c: New; based on funit-child.c.
	* funit-slave.xml: New; based on funit-child.xml.
	
2007-08-08  Andrew Cagney  <cagney@redhat.com>

	* funit-exec.c (exec_handler): When a non-main thread, brand
	argv[0] with the pid:tid.

2007-08-02  Andrew Cagney  <cagney@redhat.com>

	* hpd-c.c (static_char): Add.

2007-08-02  Mike Cvet  <mcvet@redhat.com>

	* funit-iftester.S: Added. Addresses #4883.

	* funit-stepping-asm.S: Added tokens and functions required
	to relieve stepping test suite dependence on 
	funit-rt-steptester.c. Fixes #4883.
	(fourth): New function.
	(third): Ditto.
	(second): Now makes function call to third().
	
	* funit-frameless.S (bar): Added new token for new frameless test.

2007-08-02  Andrew Cagney  <cagney@redhat.com>

	* util.h: Delete; moved to frysk-imports/include/funit-util.h.
	* funit-child.c: Update.
	* funit-exec.c: Update.
	* funit-syscallint.c: Update.
	* funit-threads.c: Update.
	* funit-threadexit.c: Update.

2007-08-01  Andrew Cagney  <cagney@redhat.com>

	* funit-exec.c (main): Clear the proc mask before creating
	threads.
	
	* funit-exec.c (usage): Update.
	(main): Change options to -m(master), -s(signal), -t(timeout),
	-e(executable) and -c(thread-count).
	(exec_exe): New global.
	(exec_handler): Use exec_exe.

2007-08-01  Mike Cvet  <mcvet@redhat.com>

	* funit-frameless.S: Added scanning tokens.
	(bar): Added extra nop operation.

2007-07-31  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-inlined.c: New.

	* funit-scopes-workaround.c: New file.

2007-07-31  Mike Cvet  <mcvet@redhat.com>

	* funit-frameless.S (bar): Removed explicit label; used macro
	from header instead.
	(foo): Use updated mov and return address register adjustment macros.

2007-07-30  Mike Cvet  <mcvet@redhat.com>

	* funit-frameinfo-looper.S: Removed.
	
	* funit-frameless.S: Added. Frameless function ASM test file.
	
	* funit-rt-stepper.c: Added tokens for new TestSteppingEngine testsuite.

2007-07-27  Mike Cvet  <mcvet@redhat.com>

	* funit-stepping-asm.S: Added more tokens. Removed loop.
	* funit-rt-stepper.S: Removed loop.

2007-07-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-stacks-linenum.c: New test program.

2007-07-27  Mike Cvet  <mcvet@redhat.com>

	* funit-rt-asmstepper.S: Updated with testcase scanning tokens.
	* funit-rt-goto.c: Ditto.
	* funit-rt-siglongjmp.c: Ditto.
	* funit-rt-sigraise.c: Ditto.
	* funit-rt-steptester.c: Ditto.
	* funit-stepping-asm.S: Fixups. Added tokens.

2007-07-26  Andrew Cagney  <cagney@redhat.com>

	* funit-symbols.S (.Lafter_local_containing_0): Add.
	(.Lafter_global_containing_0): Add.

	* funit-symbols.S (SIZE, GLOBAL, LOCAL): Define.
	(small_global_at_large_global): Add.
	(small_local_at_large_global): Add.
	(small_global_at_large_local): Add.
	(small_local_at_large_local): Add.

2007-07-24  Andrew Cagney  <cagney@redhat.com>

	* funit-stackframe.S: Restore.

2007-07-24  Mike Cvet  <mcvet@redhat.com>
	
	* funit-stepping-asm: Added. New, cleaner ASM stepping test tool.

2007-07-23  Andrew Cagney  <cagney@redhat.com>

	* funit-symbols.S: Replace LOAD_IMMED with LOAD_IMMED_BYTE and
	LOAD_IMMED_WORD.
	* funit-rt-asmstepper.S: Ditto.
	* funit-instructions.S: Ditto.

	* funit-rt-asmstepper.S: Update; use "frysk-asm.h"
	* funit-instructions.S: Ditto.

	* funit-symbols.S: Use MAIN_EPILOGUE, exit with a non-zero status.
	Expand usage.  Add nested symbols.
	* funit-stackframe.S: Delete.
	
2007-07-19  Andrew Cagney  <cagney@redhat.com>

	* funit-symbols.S: Rewrite of funit-stackframe.S.

2007-07-19  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-scopes.c: Removed crash() and moved sigfault
	code into second.
	removed __attribute__((always_inline)).

2007-07-19  Andrew Cagney  <cagney@redhat.com>

	* funit-symbols.S: New file; based on funit-stackframe.S.

	* funit-frameinfo-looper.S: Use fixme-asm.h, instead of
	frysk-asm.h, for now.
	* funit-instructions.S: Ditto.
	* funit-rt-asmstepper.S: Ditto.

2007-07-13  Mark Wielaard  <mwielaard@redhat.com>

	* funit-instructions.c: Removed.
	* funit-instructions.S: New file.

2007-07-13  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-stacks-values.c: Added 'volatile' to all the paramters.

2007-07-05  Mike Cvet  <mcvet@redhat.com>

	* funit-frameinfo-looper.S: More fixes.

2007-07-04  Mike Cvet  <mcvet@redhat.com>

	* funit-rt-asmtester.S: Gave proper main declaration instead
	of relying on header file.

2007-07-04  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-scopes.c: Added __attribute__((always_inline)) to ensure
	that the function is always inlined.

2007-07-03  Kris Van Hees  <kris.van.hees@oracle.com>

	* funit-scopes.c: Removed 'extern' declaration on second() because the
	"extern inline" declaration causes an error when compiling/linking with
	-O0 (which has been confirmed to not be a gcc bug, but rather expected
	behaviour).

2007-07-03  Mark Wielaard  <mwielaard@redhat.com>

	* funit-instructions.c: New assembly level test for use with
	TestInstructions.

2007-06-28  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-stacks-values.c: Added asm volatile ("" : "+m" (varX));
	to all the variables declarations to ensure they are not optimized
	away.

2007-06-29  Adam Jocksch  <ajocksch@redhat.com>

	* funit-rt-varsegv.c: New test program.

2007-06-28  Mike Cvet  <mcvet@redhat.com>

	* funit-frameinfo-looper.S: Added i386 asm code.

2007-06-26  Jose Flavio Aguilar Paulino <jflavio@br.ibm.com>

	* funit-frameinfo-looper.S: Correcting error in this test, it does not 
	support PowerPC64, lacking main method for other archs than x386 or 
	x86_64. At least a dummy test should be available so frysk can compile 
	in all archs.

2007-06-26  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-stacks-values.c: New test program.

2007-06-25  Tim Moore  <timoore@redhat.com>

	* test1.c (doubleFun): New function that calls functions in the
	math library.
	(main): Call it.

2007-06-25  Adam Jocksch  <ajocksch@redhat.com>

	* funit-rt-varlongjmp.c: New file.

2007-06-22  Mike Cvet  <mcvet@redhat.com>

	* funit-frameinfo-looper.S: Updated.

2007-06-21  Mike Cvet  <mcvet@redhat.com>

	* funit-frameinfo-looper.S: New file.
	
	* funit-frameinfo-loop.S: Fixes and update.

2007-06-21  Tim Moore  <timoore@redhat.com>

	* test1.c (add): Make function static so gcc -O will inline it (I
	hope!)

2007-06-20  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-scopes.c: removed extrainous info to reduce the size
	of debuginfo.

2007-06-20  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-stacks-exit.c: New.

2007-06-19  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-scopes.c: New.

2007-06-18  Andrew Cagney  <cagney@redhat.com>

	* hpd-c.c: Include "linux.syscall.h".

2007-06-18  Stan Cox  <scox@redhat.com>

	* hpd-c.c (func_2): Add class_2, class_3, class_4, class_5.

2007-06-14  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-stacks.c (fourth): cases a SIGSEV instead of calling exit.

2007-06-08  Adam Jocksch  <ajocksch@redhat.com>

	* funit-rt-varchange.c: Refactored, made it less likely for variables
	to be optimized out.

2007-06-07  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-stacks.c: Renamed parameter.

2007-06-04  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-stacks.c (fourth): Added a char* parameter.

2007-06-01  Adam Jocksch  <ajocksch@redhat.com>

	* funit-rt-varchange.c: Made the variables static volatile and
	added a variable to function bar.

2007-05-31  Andrew Cagney  <cagney@redhat.com>

	* funit.java: Move to frysk-gui/frysk/pkglibdir/.
	* funit.xml: Move to frysk-gui/frysk/pkglibdir/.

2007-05-31  Adam Jocksch  <ajocksch@redhat.com>

	* funit-rt-varchange.c: Added phoney function calls to stop the
	compiler from optimizing out lines of code.

2007-05-31  Andrew Cagney  <cagney@redhat.com>

	* funit.java: Add package frysk.pkglibdir.

2007-05-29  Adam Jocksch  <ajocksch@redhat.com>

	* funit-rt-varchange.c: New program for testing DisplayValue.

2007-05-29  sami wagiaalla  <swagiaal@redhat.com>

	* funit-stacks.c: Remvoed inlining from fouth() (part
	a test for a feature not yet implemented).
	
2007-05-16  Tim Moore  <timoore@redhat.com>

	* test1.c: New program for CLI testing.

2007-03-24  Mark Wielaard  <mark@klomp.org>

	* funit-child.c (usage): Document SIGPROF handling.
	(bp1_func, bp2_func, dummy): New functions.
	(server): Call dummy () on busy wait. Handle SIGPROF.
	(main): Add SIGPROF to signals.

2007-03-21  Mike Cvet  <mcvet@redhat.com>

	* funit-rt-siglongjmp.c: Added.
	* funit-rt-goto.c: Added.
	
	* funit-rt-goto.c: Removed some redundant code.
	* funit-rt-sigraise.c: Added.

2007-03-19  Mark Wielaard  <mark@klomp.org>

	* funit-breakpoints.c (main): Add SA_NODEFER workaround for
	sigtrap handler.
	
2007-03-15  Mike Cvet <mcvet@redhat.com>

	* funit-rt-steptester.c: Added.

2007-02-28  Stan Cox  <scox@redhat.com>

	* hpd-c.c (func_1,func_2): Don't inline.

2007-02-12  Mark Wielaard  <mark@klomp.org>

	* funit-alarm.c: New test program.

2007-02-09  Mark Wielaard  <mark@klomp.org>

	* funit-breakpoints.c (signal_handler):
	Remove bogus signal reset kernel workaround.

2007-02-07  Andrew Cagney  <cagney@redhat.com>

	* hpd-c.c: New file.

2007-02-07  Mark Wielaard  <mark@klomp.org>

	* funit-breakpoints.c (send_hup, receive_hup): New static ints.
	(trap_handler): Renamed to ...
	(signal_handler): Now also handles SIGHUP.
	(dummy): Send SIGHUP. Add SIGTRAP signal install workaround.
	(main): Check both hup and trap counts.

2007-02-06  Nurdin Premji  <npremji@redhat.com>

	* funit-stackframe.S: (main): Updated to reflect changes to ENTER_MAIN.

	* funit-stackframe.S (main): Deleted push command, not needed.
	Changed COMPAREs to COMPARE_IMMEDs.
	REMOVED ENTER, ENTER_MAIN now does that as well.

2007-02-06  Andrew Cagney  <cagney@redhat.com>

	* funit-asm.h: Delete, moved to frysk-imports/include/frysk-asm.h.
	* funit-rt-asmstepper.S: Include "frysk-asm.h".
	* funit-stackframe.S: Include "frysk-asm.h".

2007-02-06  Mark Wielaard  <mark@klomp.org>

	* funit-stackframe.S (main): Use push, not pushl.

2007-02-05  Nurdin Premji  <npremji@redhat.com>

	* funit-asm.h: Added tags for ENTER_MAIN and COMPARE on 386.
	* funit-stackframe.S: Added. Contains :
	* funit-stackframe-asm.S: Removed.
	* funit-stackframe-static-asm.S: Ditto.
	* funit-stackframe.c: Removed before.
	* funit-stackframe-static.c: Ditto.

2007-02-05  Andrew Cagney  <cagney@redhat.com>

	* funit.java: Create 32-on-64 and default install configs.  Pass
	same to runTestCases.

	* funit.java: Pass Config.getBinDir to testRunner.

2007-02-05  Mark Wielaard  <mark@klomp.org>

	* funit-asm.h (STORE __x86_64__): Use mov, not movl.

2007-02-02  Mike Cvet  <mcvet@redhat.com>

	* funit-asm.h (LOAD_IMMED): Fixed x86_64 build failure due to
	'CONSTANT' being undefined.
	
2007-02-02  Andrew Cagney  <cagney@redhat.com>

	* funit-asm.h (GEN_REG_1, GEN_REG_2, GEN_REG_3, GEN_REG_4):
	Replace with REG1, REG2, REG3, REG4.
	(JUMP): Redefine with LABEL parameter.
	(ENTER): Define, replace PROLOGUE.
	(EXIT): Replace RETURN and EPILOGUE.
	(STACK_BASE_REGISTER, LOAD, STORE_WORD, JUMP_IF_NOT_EQUAL): Delete.
	(PUSH, POP, RETURN): Delete.
	(FP_REG): Rename BP_REG.
	(COMPARE_IMMED): Replace COMPARE.
	(LOAD_IMMED): Replace SET.
	* funit-stackframe-static-asm.S: Update.
	* funit-stackframe-asm.S: Update.
	* funit-rt-asmstepper.S: Update.

	* funit-asm.h (SP_REG, BP_REG, REG1, REG2, REG3, REG4, NO_OP) 
	(ENTER, EXIT, SET, LOAD, STORE, MOVE, ADD, ADDC, SUB, COMPARE) 
	(JUMP, JUMP_EQ, JUMP_NE, CALL, TRAP): Add definitions.

2007-02-02  Nurdin Premji  <npremji@redhat.com>

	funit-asm.h: Removed spaces after \.

	funit-asm.h: Added some more macros.
	funit-stackframe-asm.S: Added (C). Simplified.
	funit-stackframe-static-asm.S: Ditto.

2007-02-01  Nurdin Premji  <npremji@redhat.com>

	* funit-stacktrace-asm.S: Added.
	* funit-stacktrace-static-asm.S: Added.

2007-01-26  Nurdin Premji  <npremji@redhat.com>

	* funit-stacktrace-static.c: Added.
	* funit-stacktrace.c: Cleaned up, removed unnecessary hello world statement.

2007-01-25  Nurdin Premji  <npremji@redhat.com>

	* funit-stacktrace.c: Added.

2007-01-22  Andrew Cagney  <cagney@redhat.com>

	* funit-child.xml: Do not include $pkglibdir@ in synposis.  Use
	explicit @pkglib32dir@ and @pkglib64dir@ in examples.
	* funit-exit.xml: Ditto.
	* funit-threads.xml: Ditto.
	* funit-exec.xml: Ditto.

2007-01-16  Mike Cvet  <mcvet@redhat.com>

	* funit-rt-asmstepper.S: Removed interrupt call.

2007-01-10  Nurdin Premji  <npremji@redhat.com>

	* funit.xml: Added info about new parameter -timeout.

2007-01-09  Andrew Cagney  <cagney@redhat.com>

	* test_main_looper.c: New, copied from frysk/pkgdatadir/.

2007-01-08  Nurdin Premji <npremji@redhat.com>

	* funit.xml: Fixed typo, updated format of -console and -log options.

2007-01-07  Andrew Cagney  <cagney@redhat.com>

	* funit.java: Pass glade and image directories to runTestCases.

2006-12-27  Mike Cvet  <mcvet@redhat.com>

	* funit-rt-asmstepper.S: Fixed loop and removed all instances of 
	non-macro registers.

2006-12-23  Andrew Cagney  <cagney@redhat.com>

	* funit.java: Update, use Config's .getPkgDataDir, getPkgLibDir,
	and getPkgLib32Dir.

2006-12-22  Mike Cvet  <mcvet@redhat.com>

	* funit-asm.h: Added. Fixes #3771.
	* funit-rt-asmstepper.c: Removed architecture-specific code.

2006-12-20  Andrew Cagney  <cagney@redhat.com>

	* funit-rt-asmstepper.S: Add stubs to get PowerPC building.
	* funit-registers.S: Add stub to get 32-bit PowerPC building.

2006-12-15  Mike Cvet  <mcvet@redhat.com>

	* funit-rt-asmstepper.S: Added support for x86_64.

2006-12-14  Andrew Cagney  <cagney@redhat.com>

	* funit-registers.S: New file.
	* funit-ia32-modify.S: Delete.
	* funit-ppc64-modify.S: Delete.
	* funit-x8664-modify.S: Delete.
	* funit-regs.S: Delete.

	* funit-memory.c: Rename funit-modify.c.

	* funit-ppc64-regs.S: Delete.
	* funit-x8664-regs.S: Delete.
	* funit-ia32-regs.S: Delete.

	* funit-regs.S (main): New file.

2006-12-13  Andrew Cagney  <cagney@redhat.com>

	* funit.java: Do not call Paths .setPrefixes.  Use Config
	.PKGLIB32DIR.

2006-12-13  Mike Cvet  <mcvet@redhat.com>

	* funit-rt-asmstepper.S: Added. Assembly stepping test for RT.

2006-12-12  Stepan Kasal  <skasal@redhat.com>

	* funit-child.xml: s/pkglibexecdir/pkglibdir/
	* funit-exec.xml: Ditto.
	* funit-exit.xml: Ditto.
	* funit-threads.xml: Ditto.
	* funit.xml: Ditto.
	* funit.java: Replace Config.PKGLIBEXEC*DIR with Config.PKGLIB*DIR.

2006-12-10  Andrew Cagney  <cagney@redhat.com>

	* Moved from ../pkglibexecdir/.
	* ChangeLog: Ditto.
	* funit-breakpoints.c: Ditto.
	* funit-child.c: Ditto.
	* funit-child.xml: Ditto.
	* funit-exec.c: Ditto.
	* funit-exec.xml: Ditto.
	* funit-exit.c: Ditto.
	* funit-exit.xml: Ditto.
	* funit-fib-clone.c: Ditto.
	* funit-fib-exec.c: Ditto.
	* funit-fib-fork.c: Ditto.
	* funit-forks.c: Ditto.
	* funit-ia32-modify.S: Ditto.
	* funit-ia32-regs.S: Ditto.
	* funit.java: Ditto.
	* funit-modify.c: Ditto.
	* funit-ppc64-modify.S: Ditto.
	* funit-ppc64-regs.S: Ditto.
	* funit-print-argc.c: Ditto.
	* funit-print-argv.c: Ditto.
	* funit-print-auxv.c: Ditto.
	* funit-print-envp.c: Ditto.
	* funit-rt-looper.c: Ditto.
	* funit-rt-stepper.c: Ditto.
	* funit-rt-threader.c: Ditto.
	* funit-rt-threadstepper.c: Ditto.
	* funit-syscall-exec.c: Ditto.
	* funit-syscallint.c: Ditto.
	* funit-syscallloop.c: Ditto.
	* funit-syscall-running.c: Ditto.
	* funit-syscalls.c: Ditto.
	* funit-syscall-signal.c: Ditto.
	* funit-syscall-threadexec.c: Ditto.
	* funit-threadexit.c: Ditto.
	* funit-threads.c: Ditto.
	* funit-threads.xml: Ditto.
	* funit-x8664-modify.S: Ditto.
	* funit-x8664-regs.S: Ditto.
	* funit.xml: Ditto.
	* util.h: Ditto.

2006-12-08  Andrew Cagney  <cagney@redhat.com>

	* funit.java: Delete reference to frysk.sys, I.e., the frysk-sys
	directory.

2006-12-04  Nurdin Premji <npremji@redhat.com>

	* funit-exec.c (stringtolong): Added.
	(main): Changed to parse integer values with stringtolong.
	Added alarm for ending process.
	Use sigset to set the signal handlers (instead of signal).
	Use sigsuspend to block all signals except for SIGUSR1 and SIGUSR2.

2006-12-01  Mike Cvet  <mcvet@redhat.com>

	* funit-rt-stepper.c (bar): Added.
	(jump): Made all integers volatile to avoid over-optimization.
	(foo): Ditto.

	* funit-rt-threadstepper.c: Cleaned up, using volatile integers.
	(signal_rec): Added.
	(signal_parent): Now main thread.

2006-11-29  Mike Cvet  <mcvet@redhat.com>

	* funit-rt-stepper.c: Removed dependence on integer as a lock.
	(signal_parent): Loop and then kill.
	(main): Create thread with new default attributes.

2006-11-28  Mike Cvet  <mcvet@redhat.com>

	* funit-rt-threadstepper.c: Added. More interesting stepping cases.
	* funit-rt-stepper.c (signal_parent): Loop instead of exit.

2006-11-28  Chris Moller  <moller@mollerware.com>

	* funit-exit.xml: Add documentation for -exclude and -include
	switches. 

2006-11-27  Andrew Cagney  <cagney@redhat.com>

	* funit-threadexit.c (running_thread_can_exit): New barrier.
	(main, op_thread): Use running_thread_can_exit to block thread's
	exit until after main has opened the thread's /proc/stat file.

	* funit-threadexit.c (scan_thread): Delete
	(main): Do the scan for thread in 'X' state here, instead of in
	scan_thread.  Create only one thread.
	(condition_cond, condition_mutex): Delete.
	(thread_running_barrier): Rename "barrier".
	(thread_id): Make volatile.
	(op_thread): Simplify, use only one barrier.

2005-11-16  Mike Cvet  <mcvet@redhat.com>

	* funit-rt-stepper.c (jump): Added.
	(foo): Update call to switch back and forth from jump().

2006-11-15  Andrew Cagney  <cagney@redhat.com>

	* funit-exit.xml: New.
	* funit.xml: Cross reference funit-exit(8).
	* funit-child.xml: Ditto.
	* funit-exec.xml: Ditto.
	* funit-threads.xml: Ditto.

2006-11-14  Mike Cvet  <mcvet@redhat.com>

	* funit-rt-stepper.c (signal_parent): Added, fixes race condition.
	(main): Edited to fix race condition.

2006-11-13  Mike Cvet  <mcvet@redhat.com>
	
	* funit-rt-stepper.c: Added.

2006-11-06  Andrew Cagney  <cagney@redhat.com>

	* funit.xml: Mention --all and --stress.

	* funit.java: Call runTestCases.
	* funit.xml: Mention -n / --list-classes-only option.
	
	* funit.java: Pass "funit" to Runner constructor.

2006-10-19  Mark Wielaard  <mark@klomp.org>

	* funit-breakpoints.c :Do the same for all architectures.

2006-10-19  Yao Qi  <qiyaoltc@cn.ibm.com>

	* funit-breakpoints.c (trap_handler): Call siglongjmp to return.
	(dummy): Call sigsetjmp to skip the invalid instruction after
	it is executed for the first time on PPC64.

2006-10-13  Yao Qi  <qiyaoltc@cn.ibm.com>

	* funit-ppc64-regs.S: Set FPRs for the check in TestRegs. 

2006-10-12  Andrew Cagney  <cagney@redhat.com>

	* funit.java: Emacs indent.
	
	* funit.java: Move 32- and 64- logic to frysk.junit.Runner.

2006-10-11  Andrew Cagney  <cagney@redhat.com>

	* funit.java: Set the frysk.junit.Patsh data path to PKGDATADIR.

2006-10-11  Yao Qi  <qiyaoltc@cn.ibm.com>

	* funit-ppc64-regs.S (main): Conditional compile to avoid breaking
	build on platforms other than powerpc.

2006-10-10  Yao Qi  <qiyaoltc@cn.ibm.com>

	* funit-ppc64-regs.S: Add 32-bit asm code.

2006-10-09  Yao Qi  <qiyaoltc@cn.ibm.com>

	* funit-breakpoints.c (dummy): Generate trap event for
	powerpc32 as well.

2006-10-05  Mark Wielaard  <mark@klomp.org>

	* funit-breakpoints.c (trap_handler): New function.
	(dummy): Send trap signal and generate trap event.
	(main): Install trap signal handler.

2006-09-29  Mark Wielaard  <mark@klomp.org>

	* funit-breakpoints.c (main): Reexec at the end of the loop.

2006-09-25  Yong Zheng  <zhengyo@cn.ibm.com>

	* funit-ppc64-modify.S: New PPC64 specific test program.
	* funit-x8664-modify.S: Correct the syscall number on X8664 
	and do some modifications to keep synch with TestRegMemModify.
	
2006-09-25  Yong Zheng  <zhengyo@cn.ibm.com>

	* funit.java: Refactor to suport arch32 test.
	* funit.xml: Update the --arch option info.

2006-09-21	Mike Cvet	<mcvet@redhat.com>
	
	* funit-rt-threader.c (signal_parent): loops instead of 
	exiting.

2006-09-20	Mike Cvet	<mcvet@redhat.com>
	
	* funit-rt-looper.c: Threw in a little entropy.
	* funit-rt-threader.c: Added - will be used for threaded
	stack trace tests.

2006-09-18  Mark Wielaard  <mark@klomp.org>

	* funit-syscall-running.c: Don't read, just accept socket.

2006-09-07  Mark Wielaard  <mark@klomp.org>

	* funit-syscall-signal.c: New test prog.

2006-09-04  Mark Wielaard  <mark@klomp.org>

	* funit-syscall-running.c: Accept socket and read() for it.

2006-09-01  Mark Wielaard  <mark@klomp.org>

	* funit-syscall-running.c: New test prog.

2006-08-29  Yong Zheng  <zhengyo@cn.ibm.com>

	* funit-ppc64-regs.S: New PPC64 specific program.

2006-08-23  Yong Zheng  <zhengyo@cn.ibm.com>

	* funit-breakpoint.c (main): Get the function address 
	instead of address of function descriptor on PPC64.

2006-08-16  Tim Moore  <timoore@redhat.com>

	* funit-x8664-regs.s: Use some more interesting 64 bit values to
	stress the long and BigInteger Register APIs.
	* funit-x8664-modify.s: ditto.

2006-08-15  Mark Wielaard  <mark@klomp.org>

	* funit-breakpoints.c: New test prog.

2006-08-07  Tim Moore  <timoore@redhat.com>

	* funit-x8664-modify.S: New x8664 specific program.

2006-08-03  Tim Moore  <timoore@redhat.com>

	* funit-x8664-regs.S: New x8664 specific program.

2006-07-28  Adam Jocksch  <ajocksch@redhat.com>

	* funit-rt-looper.c: Now takes the signal to send as a parameter.

	* funit-rt-looper.c: Moved from frysk.rt.tests.

2006-07-05  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-syscallloop.c: Added a command line option (-1)
	which makes the program make system calls in an infinite
	loop.

2006-06-27  Stepan Kasal  <kasal@ucw.cz>

	* funit-ia32-modify.S, funit-ia32-regs.S: Make the stack
	non-executable, using the recipe from Jakub Jelinek.

2006-06-26  Phil Muldoon  <pmuldoon@redhat.com>

	* funit-forks.c: Removed waits.

2006-06-25  Phil Muldoon  <pmuldoon@redhat.com>

	* funit-forks.c: Fix warnings. Removed printed output.
	* funit-forks.c: Added Chris Moller's fork
	stress tester. 

2006-06-23 	Nurdin Premji <npremji@redhat.com>
	* funit-child.c Added signal SIGBUS to exit a thread.

2006-06-21  Stepan Kasal  <kasal@ucw.cz>

	* util.h: Include linux.syscall.h; the calers need not to do that.
	* funit-threadexit.c: Remove duplicate #include <unistd.h>.

2006-06-15  Nurdin Premji  <npremji@redhat.com>

	* funit-child.c: Added #include <linux.syscall.h> and <unistd.h>.
	* funit-exec.c: Ditto.
	* funit-syscallint.c: Ditto.
	* funit-threadexit.c: Ditto.
	* funit-threads.c: Ditto.

2006-06-15  Sami Wagiaalla  <swagiaal@redhat.com>

	* funit-syscallint.c: Added trace calls.

2006-05-01  Stan Cox  <scox@redhat.com>

	* funit-threadexit.c (main): New file.

2006-04-15  Andrew Cagney  <cagney@redhat.com>

	* funit-print-auxv.c (main): Assume the optional argument is the
	output file name.

	* funit.xml: Add reference to funit-exec, and funit-child.
	* util.h: #include <stdlib.h>.
	* funit-child.c: Re-implement exec, so that it can exec a program
	specified as an argument.
	* funit-exec.c, funit-exec.xml: New files.

2006-03-20  Andrew Cagney  <cagney@redhat.com>

	* funit-child.c (notify_manager): Always print the trace message.
	(server): Delete log messages now made redundant.

2006-03-19  Andrew Cagney  <cagney@redhat.com>

	* funit-threads.xml: New file.
	* funit-child.c (OK, ok, pfatal, fatal, trace): Move to "util.h";
	#include.
	* util.h: New file.
	* funit-threads.c: Include "util.h"; add OK to all pthread calls.
	(op_clone): Rename loop.
	(op_loop, op_block, usage): New.
	(main): Parse --block, --clone and --loop.

2006-02-23  Andrew Cagney  <cagney@redhat.com>

	* funit-child.c (main, server, main_alarm): Add global variable
	main_alarm.  Move alarm call to server function, all new processes
	get an alarm.

2006-02-10  Andrew Cagney  <cagney@redhat.com>

	* funit-syscallint.c (main): Allow EINTR as a return code.

2006-02-09  Andrew Cagney  <cagney@redhat.com>

	* funit-syscallint.c (main): Fix return status check for <<read>>,
	and <<write>.

2006-02-08  Adam Jocksch  <ajocksch@toothpaste.toronto.redhat.com>

	* funit-syscallint.c (main): Fix compiler warnings.
	* funit-modify.c (main): Now checks return value of fwrite, aborts
	if it is != 1.

2006-02-06  Andrew Cagney  <cagney@redhat.com>

	* funit.java: Call Paths .setExecPrefix with PKGLIBEXECDIR.

2006-02-05  Andrew Cagney  <cagney@redhat.com>

	* funit-child.xml: New file.
	* funit-child.c: Copy from frysk-core/prog/.
	* funit-exit.c: Ditto.
	* funit-fib-clone.c: Ditto.
	* funit-fib-exec.c: Ditto.
	* funit-fib-fork.c: Ditto.
	* funit-ia32-modify.S: Ditto.
	* funit-ia32-regs.S: Ditto.
	* funit-modify.c: Ditto.
	* funit-print-argc.c: Ditto.
	* funit-print-argv.c: Ditto.
	* funit-print-auxv.c: Ditto.
	* funit-print-envp.c: Ditto.
	* funit-syscall-exec.c: Ditto.
	* funit-syscall-threadexec.c: Ditto.
	* funit-syscallint.c: Ditto.
	* funit-syscallloop.c: Ditto.
	* funit-syscalls.c: Ditto.
	* funit-threads.c: Ditto.

	* funit.java: Delete package specification.

	* funit.java: Import frysk.junit.Runner.

	* funit.xml, funit.java: New files.

Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
End:
